### Virtual Method

# Ide CommandProvider query_async

#### Declaration

    void
    query_async (
      IdeCommandProvider* self,
      IdeWorkspace* workspace,
      const gchar* typed_text,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`workspace` | `IdeWorkspace`
| No description available.
| The data is owned by the caller of the function.
`typed_text` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| No description available.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.